# Class CombineArrayPlotter.CombineArrayStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.CombineArrayPlotter.CombineArrayStyle

All Implemented Interfaces:
  `Style`

Direct Known Subclasses:
  `LineCombineArrayPlotter.LineCombineArrayStyle, MarkCombineArrayPlotter.MarkCombineArrayStyle`

Enclosing class:
  `CombineArrayPlotter<S extends CombineArrayPlotter.CombineArrayStyle>`

public abstract static class CombineArrayPlotter.CombineArrayStyle extends Object implements Style
Partial Style implementation for use with this class.

Since:
  25 Jan 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CombineArrayStyle(Combiner xCombiner, Combiner yCombiner, LayerOpt layerOpt)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Combiner`
`getCombinerX()`
Returns the combination mode for elements of X array values.
`Combiner`
`getCombinerY()`
Returns the combination mode for elements of Y array values.
`LayerOpt`
`getLayerOpt()`
Returns the LayerOpt for this style.
`int`
`hashCode()`
`abstract void`
`paintPoints(PlanarSurface surface, PaperType paperType, Paper paper, Point2D.Double[] points)`
Do the actual plotting given an array of graphics points corresponding to the combined array elements.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Style

`getLegendIcon`

## Constructor Details

### CombineArrayStyle

protected CombineArrayStyle(Combiner xCombiner, Combiner yCombiner, LayerOpt layerOpt)
Constructor.

Parameters:
  `xCombiner` - combiner for elements of X array values
  `yCombiner` - combiner for elements of Y array values
  `layerOpt` - layerOpt

## Method Details

### getCombinerX

public Combiner getCombinerX()
Returns the combination mode for elements of X array values.

Returns:
  X combiner

### getCombinerY

public Combiner getCombinerY()
Returns the combination mode for elements of Y array values.

Returns:
  Y combiner

### getLayerOpt

public LayerOpt getLayerOpt()
Returns the LayerOpt for this style.

Returns:
  layer opt

### paintPoints

public abstract void paintPoints(PlanarSurface surface, PaperType paperType, Paper paper, Point2D.Double[] points)
Do the actual plotting given an array of graphics points corresponding to the combined array elements.

Parameters:
  `surface` - plot surface
  `paperType` - paper type
  `paper` - paper
  `points` - points in graphics coordinates corresponding to the aggregated per-element values of the input X and Y array coordinates

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`